# Basic Concepts

### Observation
Symbol is $x$, input of problems. Observation usually has the form vector $x = (x_{1}, x_{2}, ..., x_{n})$, called feature vector. Each $x_{i}$ called feature. For example guess today is have rain or not base on observation, including humidity, temperature, wind speed...

### Label
Symbol is $y$, output of problem. Each observation will be have one coresponding label. In above example is rain or not rain. Label may be have many form but can be convert to float or vector.

### Model
It's can be a function $f(x)$, get a observation $x$ and response a label $y = f(x)$
### Parameter

### Hyperparameter